Download it now!
Bug 101830 - Empty input fields completely invisible
Summary: Empty input fields completely invisible
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.6.3 release
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Fields
  Show dependency treegraph
 
Reported: 2016-08-31 18:17 UTC by Jan-Marek Glogowski
Modified: 2020-09-25 08:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
New LO game: find the input field (8.51 KB, application/vnd.oasis.opendocument.text)
2016-08-31 18:20 UTC, Jan-Marek Glogowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Marek Glogowski 2016-08-31 18:17:34 UTC
Since the merge of the editable input fields in 4.x times, empty input fields completely vanish in the editor. Enabling the "field names" doesn't work for them anymore, and if they are empty we even miss the little gray indicator box, even with "field shadings" enabled.

Lucky you, if you're navigating into the input field via cursor movement, so you can expand it.

Hint: the "secret" key combo "Ctrl+Shift+F9" for the input field edit dialog finds it, even if it always starts at the beginning of the document.

Overall the fields part of Writer definitely needs some love.
Comment 1 Jan-Marek Glogowski 2016-08-31 18:19:36 UTC
Probably I'll create a meta bug for an overall review of field handling in Writer. bug 101625 and bug 73386 are also related.
Comment 2 Jan-Marek Glogowski 2016-08-31 18:20:49 UTC
Created attachment 127101 [details]
New LO game: find the input field
Comment 3 Buovjaga 2016-09-23 19:27:23 UTC
Confirmed with document.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: cd72269a6a2c85ae9dd4552aa4808ef4fd1f6c0e
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on September 21st 2016
Comment 4 Xisco Faulí 2017-09-29 08:48:50 UTC Comment hidden (obsolete)
Comment 5 Jan-Marek Glogowski 2017-09-29 15:43:37 UTC
Still happens on master (6.0) build from today, commit a3c2cce616c3a072ed7f7f8133b88db165ccbc5c.
Comment 6 QA Administrators 2018-09-30 02:48:41 UTC Comment hidden (obsolete)
Comment 7 Jan-Marek Glogowski 2018-09-30 19:50:13 UTC
Bug still exists on current master (commit 896a1f8630cc4948e23fc8cce926e4d0910feb96).

This has always been a regression of the new input field inline editing code.
Comment 8 Xisco Faulí 2018-10-10 10:32:39 UTC
Reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

but not in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)
Comment 9 Jan-Marek Glogowski 2018-10-11 11:21:33 UTC
(In reply to Xisco Faulí from comment #8)
> Reproduced in
> 
> Version: 5.2.0.0.alpha0+
> Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
> Threads 4; Ver: 4.10; Render: default; 
> 
> but not in
> 
> Version: 5.0.0.0.alpha1+
> Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
> Locale: ca-ES (ca_ES.UTF-8)

Hmm - never realized it did work at some point :-)

$ git bisect log
# bad: [ea0f3871e9b080744fc700c21e876d0ba9c663d5] 2015-11-25: source-hash-7289a140fc68dc898ba2b2357cc960968195f236
# good: [2b392af9c8f54629e3a3a98a8c92fa5af1c6722f] 2015-05-20: source-hash-90e2dabb8d0bb5382234be776c2ad0e2d5d9e224
git bisect start 'master' 'oldest'
# good: [a8d19eafb9e195a85359dd8cdc5c46c38295caa0] 2015-08-22: source-hash-79fb61efb847405fa47235002b52ee8efad5e339
git bisect good a8d19eafb9e195a85359dd8cdc5c46c38295caa0
# good: [2ad98b12d82c4ada5756881f0d6074154976e95c] 2015-10-08: source-hash-2e6feddc53830406fa04b4a0aea49bb8438dc702
git bisect good 2ad98b12d82c4ada5756881f0d6074154976e95c
# bad: [e4287d7f4aebf2543103c3dde6e1463edb50b8c2] 2015-11-01: source-hash-bf4c2f74de6b82177b5f047a96b7f8e0d54a9459
git bisect bad e4287d7f4aebf2543103c3dde6e1463edb50b8c2
# bad: [ffd755beebb0f92f13acfaaa658062bccdd80217] 2015-10-20: source-hash-2ce151c7de49f05072185dba7cd3e1945763ae2d
git bisect bad ffd755beebb0f92f13acfaaa658062bccdd80217
# bad: [de900293a82dd9219f04242e4b93b62b7ff37d30] 2015-10-14: source-hash-78cf4ca4405d33d3f658da0d7f209afc8e6ee4a7
git bisect bad de900293a82dd9219f04242e4b93b62b7ff37d30
# good: [e24664683c04cb96f1c23581ed3e5c7c76bf800c] 2015-10-11: source-hash-143fb0a4b5d4ab69d4928299d8112ab95d99870a
git bisect good e24664683c04cb96f1c23581ed3e5c7c76bf800c
# bad: [f7669386ecda560d5defd15334eca5d482c7925f] 2015-10-13: source-hash-7c3c3006deaaaf1bb3f2f4eeeaf11da3bcebe53c
git bisect bad f7669386ecda560d5defd15334eca5d482c7925f
# good: [86d182346f7e79a4ef3dc36b1184ec1c0ff4721f] 2015-10-12: source-hash-898aff0d190b09d16cce866909b64cf023cba43f
git bisect good 86d182346f7e79a4ef3dc36b1184ec1c0ff4721f
# first bad commit: [f7669386ecda560d5defd15334eca5d482c7925f] 2015-10-13: source-hash-7c3c3006deaaaf1bb3f2f4eeeaf11da3bcebe53c

Which has commit 5e1714fd7fcb ("tdf#77014 fix input field breaking of words at new line").

Reverting that fixes this problem, but bug 77014 is more grave IMHO. So we need a better fix for that one.
Comment 10 Jan-Marek Glogowski 2018-10-11 11:23:41 UTC
That bibisect is from git_lo-linux-dbgutil-daily-till51.
Comment 11 QA Administrators 2019-11-15 03:35:10 UTC Comment hidden (obsolete)
Comment 12 Jan-Marek Glogowski 2019-11-16 14:17:26 UTC
Still happens with current master as of today (6.5 to be).

Version: 6.5.0.0.alpha0+
Build-ID: 9f51d0bfd4cf0ad1a019254ecbc04912f702ee6e
CPU-Threads: 8; BS: Linux 4.19; UI-Render: Standard; VCL: kf5; 
Gebietsschema: de-DE (de_DE.UTF-8); UI-Sprache: de-DE
Calc: threaded
Comment 13 Commit Notification 2020-06-19 23:48:27 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/63d4e8aa10186b4ed0e3106c116ad25c5fb5ed6d

tdf#101830 sw: highlight empty 'invisible' input fields

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-06-20 14:24:57 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/c19bc04920df332a2c1f89b7e5ee4ef70e028bf5

tdf#101830 sw: highlight empty 'invisible' input fields

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-06-22 07:19:38 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/12e1cfbb49686d4c5309a4c3443a59bdab21dd16

tdf#101830 sw: highlight empty 'invisible' input fields

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Michael Weghorn 2020-06-24 10:07:35 UTC
Verified with

Version: 7.1.0.0.alpha0+
Build ID: 526c4bd5dbe0225a1ff14ff1e7fe32151ab7d29d
CPU threads: 4; OS: Linux 5.6; UI render: default; VCL: kf5
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded

What's still missing from a user perspective as compared to the behaviour in LO 4.1:

* enabling to show field names ("View" -> "Field names", or just press Ctrl+F9) still shows the actual (empty) content instead of a placeholder like is done for other fields.
* hovering over empty field using mouse does not show a "hand" cursor and double-clicking does not allow to edit the field content, as is the case for non-empty fields
Comment 17 Commit Notification 2020-09-25 08:41:19 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/926a1a16a061b666a0b125cd2d15461716655e78

tdf#101830 sw: show field name for inline input fields too

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.